VoiceInbound calls

Get Last Inbound Call Date

Retrieve the date and time of the most recent inbound call for the authenticated user. This endpoint is intended to help determine the latest available inbound traffic date before requesting paginated inbound call records or generating reports. Optional filtering parameters may be applied to narrow the search scope using inbound call filters.

GET
/api/v1/voice/calls/inbound/last

Query Parameters

billsec_from?integer

Optional parameter. Includes only calls with billable duration greater than or equal to the provided value (in seconds).

Range0 <= value
billsec_to?integer

Optional parameter. Includes only calls with billable duration less than or equal to the provided value (in seconds).

Range0 <= value
direction_code?array<string>

Optional parameter. Filters inbound calls by country or routing direction codes. Accepts a list of ISO alpha-2 country codes in upper case.

disposition?array<>

Optional parameter. Filters inbound calls by call dispositions/statuses.

dst?string

Optional parameter. Allows filtering inbound calls by destination number, extension, or SIP user. The search operation is partial.

duration_from?integer

Optional parameter. Includes only calls with total duration greater than or equal to the provided value (in seconds).

Range0 <= value
duration_to?integer

Optional parameter. Includes only calls with total duration less than or equal to the provided value (in seconds).

Range0 <= value
page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "start_time" | "end_time" | "time" | "duration" | "billsec" | "dst_user" | "destination" | "src_user" | "source" | "country" | "direction_code" | "cost" | "price" | "disposition"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"
src?string

Optional parameter. Allows filtering inbound calls by source number or caller identifier. The search operation is partial.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/voice/calls/inbound/last" \  -H "Authorization: string"
{
  "last_call_date": "string"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.